# Interface CallbackConfigInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- CallbackConfigInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:25

#####
Index

### Properties

pfvFactory
rcsbFvContainer
stateManager
structureViewer

## Properties

### pfvFactory

pfvFactory: PfvManagerInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:29

### rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:26

### stateManager

stateManager: RcsbFvStateManager

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:27

### structureViewer

structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:28

Generated using TypeDoc